FousDocs

API reference

Retrieve request status, billing and retained result

GET /v1/query/requests/{request_id}

GET/v1/query/requests/{request_id}

Authentication

Send your organization’s secret key as Authorization: Bearer $FOUS_API_KEY. See authentication.

Parameters

NameLocationRequiredTypeDescription
request_idpathYesstring

Responses

200

Success

application/json

Schema: RequestStatus.

FieldTypeRequiredDescription
successvalueYes
dataobjectYes

Full schema:

json
{
  "type": "object",
  "properties": {
    "success": {
      "const": true
    },
    "data": {
      "type": "object",
      "properties": {
        "request_id": {
          "type": "string"
        },
        "status": {
          "type": "string"
        },
        "result": {
          "oneOf": [
            {
              "$ref": "#/components/schemas/QueryResult"
            },
            {
              "$ref": "#/components/schemas/Error"
            },
            {
              "type": "null"
            }
          ]
        },
        "response_status": {
          "type": [
            "number",
            "null"
          ]
        },
        "result_expires_at": {
          "type": [
            "string",
            "null"
          ]
        },
        "error_code": {
          "type": [
            "string",
            "null"
          ]
        },
        "receipt": {
          "$ref": "#/components/schemas/Receipt"
        },
        "feedback": {
          "enum": [
            1,
            -1,
            null
          ]
        },
        "can_rate": {
          "type": "boolean"
        },
        "feedback_unavailable_reason": {
          "type": [
            "string",
            "null"
          ]
        }
      },
      "required": [
        "request_id",
        "status"
      ],
      "additionalProperties": true
    }
  },
  "required": [
    "success",
    "data"
  ],
  "additionalProperties": false
}

400

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

401

Standard error. Inspect error.code, details and request_id.

  • WWW-Authenticate: Bearer authentication challenge; invalid or expired keys use invalid_token.

application/json

See the Error schema and error handling guide.

402

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

403

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

404

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

408

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

409

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

413

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

422

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

429

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

500

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

502

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

503

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

504

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.